Page MenuHomePhabricator

Floated image in visual diffs on history page overlapping content
Closed, ResolvedPublic1 Story Points

Description

In https://de.wikipedia.org/w/index.php?title=Wikipedia:Technik/Werkstatt&type=revision&diff=174179377&oldid=174177794&diffmode=visual, the added image floats into the content. There should be a clear: both; somewhere to prevent this.
Note that (as far as I can see) this only happens when floating content is added to the very last section, as otherwise the indicator that the following content is omitted in the diff will do the clearing.

Event Timeline

Schnark created this task.Feb 19 2018, 9:30 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 19 2018, 9:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Esanders renamed this task from Clear floats in visual diff to Visual diffs on history page overlapping content.Feb 20 2018, 2:51 PM
Esanders renamed this task from Visual diffs on history page overlapping content to Floated image in visual diffs on history page overlapping content.Feb 20 2018, 3:03 PM

Change 412926 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Add clearfix to diff page's visual diff element

https://gerrit.wikimedia.org/r/412926

Esanders claimed this task.Feb 20 2018, 3:07 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 412926 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add clearfix to diff page's visual diff element

https://gerrit.wikimedia.org/r/412926

Deskana set the point value for this task to 1.Feb 22 2018, 12:10 PM
Deskana closed this task as Resolved.